local require = GLOBAL.require

require "constants"

print("New biomes texture")

Assets = {
    Asset("IMAGE", "levels/textures/Ground_noise_deciduous.tex"), 
}

if GetModConfigData("ShowGround_noise_deciduous") ~= "0" then
	function FogSimPostInit()

		if GLOBAL.TheWorld and GLOBAL.TheWorld.GROUND_PROPERTIES then
			local TheWorld = GLOBAL.TheWorld
			TheWorld.GROUND_PROPERTIES:SetDeciduousTexture(resolvefilepath("levels/textures/Ground_noise_deciduous.tex"))
           
		end
	end
	AddSimPostInit(FogSimPostInit)
end